#ifndef _INLINE_XPKSUB_H
#define _INLINE_XPKSUB_H

#ifndef __INLINE_MACROS_H
#include <inline/macros.h>
#endif

#ifndef XPKSUB_BASE_NAME
#define XPKSUB_BASE_NAME XpkSubBase
#endif

#define XpksPackChunk(xpar) \
	LP1(0x24, LONG, XpksPackChunk, struct XpkSubParams *, xpar, a0, \
	, XPKSUB_BASE_NAME)

#define XpksPackFree(xpar) \
	LP1NR(0x2a, XpksPackFree, struct XpkSubParams *, xpar, a0, \
	, XPKSUB_BASE_NAME)

#define XpksPackReset(xpar) \
	LP1(0x30, LONG, XpksPackReset, struct XpkSubParams *, xpar, a0, \
	, XPKSUB_BASE_NAME)

#define XpksPackerInfo() \
	LP0(0x1e, struct XpkInfo *, XpksPackerInfo, \
	, XPKSUB_BASE_NAME)

#define XpksUnpackChunk(xpar) \
	LP1(0x36, LONG, XpksUnpackChunk, struct XpkSubParams *, xpar, a0, \
	, XPKSUB_BASE_NAME)

#define XpksUnpackFree(xpar) \
	LP1NR(0x3c, XpksUnpackFree, struct XpkSubParams *, xpar, a0, \
	, XPKSUB_BASE_NAME)

#endif /* _INLINE_XPKSUB_H */
